const api = {
  getHospitalMark: '/sys/user/getHospitalMark', //登录标识
  getCaptcha:'/sys/user/getCaptcha',  //获取验证码
  getMenu: '/sys/user/getUserOrgMenu', //获取菜单
  midifyPassword: '/sys/user/midifyPassword', //修改密码
  getSubMenu: '/qc/mode/getMenu', //获取质控评分菜单
  delScore: '/qc/behospitalInfo/logicDelCase',//'/qc/behospitalInfo/delCase', //删除评分项
  editScore: '/qc/behospitalInfo/updCase', //修改评分
  addScore: '/qc/behospitalInfo/addCase', //添加评分项
  findQcCasesEntry: '/qc/casesEntryHospital/findQcCasesEntry', //条目下拉列表
  getRecordDetail: '/qc/behospitalInfo/getByBehospitalCode', //获取病例明细
  getModuleById: '/qc/module/getModuleMap',
  getQcCases: '/qc/cases/getQcCases',
  getQcCasesAll: '/qc/casesEntryHospital/getQcCasesAll',
  getQcCasesEntryAll: '/qc/casesEntryHospital/getQcCasesEntryAll',
  updataQcCasesEntry: '/qc/casesEntryHospital/updataQcCasesEntry',
  qcList: '/qc/behospitalInfo/page',
  qcListByDept: '/qc/behospitalInfo/page_dept',
  qcListByPerson: '/qc/behospitalInfo/page_person',
  qcListByDoc: '/qc/behospitalInfo/page_group', //质控评分(医疗组)
  qcListYw: '/console/qualityControl',  //病历质控报表-义乌全院
  qcListByDeptYw: '/consoleByDept/qualityControlByDept',//病历质控报表-义乌科室
  saveQcCases: '/qc/cases/saveQcCases',
  recordScore: '/qc/behospitalInfo/analyze',
  getInfoModule: '/qc/module/getById',
  getDeptList: '/bas/dept/getList',
  getDeptListUser: '/bas/dept/listForUser',
  getDeptListDept: '/bas/dept/getListUser',
  getDoctorProfessorList: '/bas/doctor/getDoctorProfessorList',//医师类别
  getAverageDayNum: '/console/getAverageDayNum', //平均住院天数
  getAverageFee: '/console/getAverageFee', //平均住院费用
  getAverageScore: '/console/getAverageScore', //各科室质控平均分
  getAverageScoreByDeptClass: '/console/getAverageScoreByDeptClass', //各科室质控平均分
  leaveHosCount: '/console/leaveHosCount', //出院人数统计
  mrCount: '/console/mrCount', //质控病历统计
  entryCountGroupByCase: '/console/entryCountGroupByCase', //各模块缺陷占比排行
  getLevelResultDept: '/console/getLevelResultDept', //各科室甲级占比
  entryCountGroupByEntry: '/console/entryCountGroupByEntry', //条目缺陷占比
  entryByDept: '/console/entryByDept', //各科室缺陷占比
  getDept: '/consoleByDept/getDept', //获取科室列表
  leaveHosCountByDept: '/consoleByDept/leaveHosCountByDept', //出院人数统计
  mrCountByDept: '/consoleByDept/mrCountByDept', //质控病历统计
  getJwt: '/sys/user/getJwt', //登录
  getRoleMenu: '/sys/role/getRoleMenu', //获取角色菜权限单等数据
  list: '/sys/role/list', //获取角色列表信息
  userPage: '/sys/user/userPage',
  getUserDepts: '/sys/user/getUserDepts',
  getUserRoles: '/sys/user/getUserRoles',
  disable: '/sys/user/disable',
  enable: '/sys/user/enable',
  editUserDepts: '/sys/user/editUserDepts',
  editUserRoles: '/sys/user/editUserRoles',
  listForUserRole: '/sys/role/listForUser',
  saveRoleMenu: '/sys/role/saveRoleMenu', //修改角色菜单权限数据
  entryCountGroupByEntryAndDept: '/consoleByDept/entryCountGroupByEntryAndDept', //条目缺陷占比
  entryCountGroupByCaseAndDept: '/consoleByDept/entryCountGroupByCaseAndDept', //各模块缺陷占比排行
  entryCountGroupByCaseAndDeptPage: '/consoleByDept/entryCountGroupByCaseAndDeptPage', //模块缺陷占比明细（科室）
  entryCountGroupByEntryAndDeptPage: '/consoleByDept/entryCountGroupByEntryAndDeptPage', //条目明细（科室）
  entryGroupByEntryAndDeptInnerPage: '/consoleByDept/entryGroupByEntryAndDeptInnerPage', //条目明细（科室）
  entryCountGroupByEntryPage: '/console/entryCountGroupByEntryPage', //条目明细
  entryGroupByEntryInnerPage: '/console/entryGroupByEntryInnerPage', //条目明细
  entryCountGroupByCasePage: '/console/entryCountGroupByCasePage', //模块缺陷占比明细
  getAverageDayNumPage: '/console/getAverageDayNumPage', //住院天数详情
  getAverageFeePage: '/console/getAverageFeePage', //花费详情
  delQcAnnormal: '/qc/abnormal/delQcAnnormal', //异常数据删除
  getQcAnnormal: '/qc/abnormal/getQcAnnormal', //异常数据查询
  saveQcAnnormal: '/qc/abnormal/saveQcAnnormal', //异常数据修改
  resultStatisticsByDeptPage: '/console/resultStatisticsByDeptPage', //各科室缺陷占比排行（分页）
  levelStatistics: '/console/levelStatistics', //科室缺陷占比排行（组合全局）
  levelStatisticsByDeptClass: '/console/levelStatisticsByDeptClass', //各科室缺陷占比排行（分页）台州
  getAverageScoreByDeptPage: '/console/getAverageScoreByDeptPage', //各科室缺陷占比排行（分页）
  levelPercentGroupByDeptPage: '/console/levelPercentGroupByDeptPage', //甲级科室缺陷占比排行（分页）台州
  homePageLevelStatistics: '/console/homePageLevelStatistics', //病案首页合格率占比
  homePageLevelLimit: '/console/homePageLevelLimit', //病案首页合格率占比
  homePageMRCount: '/console/homePageMRCount', //病案首页统计
  homePageLevelByDeptLimit: '/consoleByDept/homePageLevelStatisticsByDept', //病案首页合格率占比keshi详情
  homePageLevelStatisticsByDept: '/consoleByDept/homePageLevelByDeptLimit', //病案首页合格率占比（科室）-内页
  levelStatisticsByDept: '/consoleByDept/levelStatisticsByDept', //科室缺陷占比排行
  keyItemFlawControl: '/console/entryStatistics', //关键条目缺陷占比
  resultStatisticsByDeptAndDoctorPage: '/consoleByDept/resultStatisticsByDeptAndDoctorPage', //缺陷明细-科室（分页）-内页
  qcType: '/qc/qcType/page', //质控类型（分页列表）
  getEntryByHospital: '/qc/qcType/getEntryByHospital', //质控类型新增条目分组
  saveOrUpdate: '/qc/qcType/saveOrUpdate', //质控类型新增更新修改
  typeDelete: '/qc/qcType/delete', //质控类型删除
  typeGetById: '/qc/qcType/getById', //根据id返回
  getQcAnnormalMode: '/qc/abnormal/getQcAnnormalMode', //异常修改
  saveAndupdataModel: '/qc/modelHospital/saveAndupdataModel', //异常保存
  exportQcList: '/qc/behospitalInfo/exportQcresult', //质控评分导出
  exportQcListDept: '/qc/behospitalInfo/exportQcresultByDept', //质控评分（科室）导出
  exportQcDocteam: '/qc/behospitalInfo/exportQcresultByGroup', //质控评分（医疗组）导出
  exportDeptFlaws: '/console/export/levelExport', //各科室缺陷占比导出-长兴
  exportDeptFlawsTz: '/console/export/levelExport_TZ', //各科室缺陷占比导出-台州
  exportIndexQualified: '/console/export/homePageLevelExport', //病案首页合格率占比导出
  exportItemFlaw: '/console/export/entryGroupByEntryExport', //条目缺陷占比导出
  entryRejectPercent: '/console/entryRejectPercent', //单项否决占比
  qcResultLevelPercent: '/console/qcResultLevelPercent', //各科室甲乙丙级占比
  qcResultDefectList: '/console/qcResultShortPage', //条目缺陷质控评分
  qcResultShortByDeptPage: '/consoleByDept/qcResultShortByDeptPage', //条目缺陷质控评分(科室)
  getQcListPageSet: '/sys/user/pageset/getPageSet',
  saveQcListPageSet: '/sys/user/pageset/savePageSet',
  checkQc: '/qc/medCheckInfo/addMedCheckInfo', //核查病历
  leaveHosMRPage: '/console/leaveHosMRPage', //出院人数统计详情
  unModifyMRStatistics: '/console/unModifyMRStatistics', //未整改病历统计
  unModifyMRPage: '/console/unModifyMRPage', //未整改病历质控评分页（内页）
  reHos31DaysPage: '/console/reHos31DaysPage', //31天再入院人数（内页）
  qcCheckMRPage: '/console/qcCheckMRPage', //质控核查质控评分页（内页）
  hmImproveMRPage: '/console/hmImproveMRPage', //病案首页改善率质控评分页（内页）
  getDefaultPageSet: '/sys/user/pageset/getDefaultPageSet', //获取默认列设置
  getBadLevelPage: '/console/badLevelPage', //病案首页不合格数病历详情
  homePageLevelStatisticsXY: '/console/homePageLevelStatisticsXY', //全院医师合格率 湘雅
  homePageLevelStatisticsXYByDept: '/consoleByDept/homePageLevelStatisticsXYByDept', //科室医师合格率 湘雅
  //导出接口
  getAverageDayNumExport: '/console/export/getAverageDayNumExport', //科室平均住院天数
  getAverageFeeExport: '/console/export/getAverageFeeExport', //科室平均住院花费
  levelPercentGroupByDeptExport: '/console/export/levelPercentGroupByDeptExport', //各科室甲级占比
  entryCountGroupByEntryExport: '/console/export/entryCountGroupByEntryExport', //各科室缺陷详情，病案首页详情
  entryStatisticsExport: '/console/export/entryStatisticsExport', //关键条目缺陷占比
  entryCountGroupByCaseExport: '/console/export/entryCountGroupByCaseExport', //各模块缺陷占比导出
  qcResultShortPageExport: '/console/export/qcResultShortPageExport', //关键条目占比详情，条目缺陷占比详情导出
  leaveHosMrPageExport: '/console/export/leaveHosMrPageExport', //出院人数导出
  qcCheckStatistics: '/console/qcCheckStatistics', //质控核查统计
  qcCheckStatisticsExport: '/console/export/qcCheckStatisticsExport', //质控核查统计导出
  getPage: '/qc/doctoradvice/getPage', //医嘱信息
  getCheckPage: 'qc/medLisInfo/getCheckPage', //检查信息
  unModifyMRPageExport: '/console/export/unModifyMRPageExport', //未整改病历详情页导出
  medicalCheckInnerExport: '/console/export/medicalCheckInnerExport', //稽查病历详情页导出
  unModifyMRStatisticsExport: '/console/export/unModifyMRStatisticsExport', //未整改病历统计导出
  reHos31DaysPageExport: '/console/export/reHos31DaysPageExport', //31天再入院统计导出
  qcCheckMRPageExport: '/console/export/qcCheckMRPageExport', //质控核查质控评分页导出
  hmImproveMRPageExport: '/console/export/hmImproveMRPageExport', //病案首页改善率质控评分页导出
  badLevelPagePageExport: '/console/export/badLevelPagePageExport', //病案首页不合格数病历详情页导出
  qualityControlExport: '/console/export/qualityControlExport',//病历质控报表导出
  qualityControlExportByDept: '/print/export/qualityControlExportByDept',//病历质控报表（科室）导出

  casesEntryStatisticsById: '/console/casesEntryStatisticsById', //入院记录24小时未完成
  beHosCount: '/console/beHosCount', //入院人数

  medicalCheckTitle: '/console/medicalCheckTitle', //稽查表头
  medicalCheckForm: '/console/medicalCheckForm', //稽查表格
  medicalCheckExport: '/console/export/medicalCheckExport', //稽查表导出
  getMedNursePage: '/qc/medNurse/getMedNursePage', //护理信息

  qcCheckStatisticsByDept: '/consoleByDept/qcCheckStatisticsByDept', //（质控核查统计-科室）
  qcCheckStaExportByDept: '/print/export/qcCheckStaExportByDept', //（质控核查统计-科室）
  reHos31DaysPageByDept: '/consoleByDept/reHos31DaysPageByDept', // 31日再入院-科室）
  reHos31DaysPageExportByDept: '/print/export/reHos31DaysPageExportByDept', // 31日再入院-导出）
  unModifyMRSByDept: '/consoleByDept/unModifyMRSByDept', // 时效性）
  unModifyMRSExportByDept: '/print/export/unModifyMRSExportByDept', // 时效性-导出）
  qcCheckMRPageByDept: '/consoleByDept/qcCheckMRPageByDept',
  qcCheckMRPageExportByDept: '/print/export/qcCheckMRPageExportByDept',
  hmImproveMRPageByDept: '/consoleByDept/hmImproveMRPageByDept',
  improveMRExportByDept: '/print/export/improveMRExportByDept',
  unModifyMRPageByDept: '/consoleByDept/unModifyMRPageByDept',
  unModifyMRPageExportByDept: '/print/export/unModifyMRPageExportByDept',
  medicalCheckFormKs: '/consoleByDept/medicalCheckFormKs',
  medicalCheckTitleKs: '/consoleByDept/medicalCheckTitleKs',
  medicalCheckExportByDept: '/print/export/medicalCheckExportByDept',

  getmedCheckPage: '/qc/medPacsInfo/getCheckPage', //检查信息
  getExaminePage: '/qc/medLisInfo/getExaminePage', //检验信息
  getExamineSonPage: '/qc/medLisInfo/getExamineSonPage', //检验信息detail

  exportQcresultByPerson: '/qc/behospitalInfo/exportQcresultByPerson', //个人质控导出

  beHosCountByDept: '/consoleByDept/beHosCountByDept',//入院记录（科室首页,运行）
  casesEntryStatisticsByDept: '/consoleByDept/casesEntryStatisticsByDept',//24h（科室首页,运行）
  homePageOrGoodLevelByDept: '/consoleByDept/homePageOrGoodLevelByDept',//（科室病案首页,终末）
  homePageLevelExportByDept: '/print/export/homePageLevelExportByDept',//（科室病案首页合格率导出,终末）
  entryGroupExportByDeptEntry: '/print/export/entryGroupExportByDeptEntry',//（科室病案首页合格率/缺陷列表导出,终末）
  qcResultShortExportByDeptPage: '/print/export/qcResultShortExportByDeptPage',//（科室病案首页合格率/缺陷列表导出/病历列表,终末）
  entryGroupExportByDeptCase: '/print/export/entryGroupExportByDeptCase',//（条目缺陷占比,终末）
  entryStatisticsByDept: '/consoleByDept/entryStatisticsByDept',//（关键条目缺陷占比,终末）
  entryStatisticsExportByDept: '/print/export/entryStatisticsExportByDept',//（关键条目缺陷占比导出,终末）
  levelExportByDept: '/print/export/levelExportByDept',//（科室缺陷占比导出,终末）
  entryGroupExportByDeptPage: '/print/export/entryGroupExportByDeptPage',//（科室缺陷占比/缺陷列表导出,终末）
  leaveHosMRPageByDept: '/consoleByDept/leaveHosMRPageByDept',//出院人数,终末）
  leaveHosMrPageExportByDept: '/print/export/leaveHosMrPageExportByDept',//出院人数导出,终末）
  homePageOrLevelExportByDept: '/print/export/homePageOrLevelExportByDept',//控制台(科室) / 病案首页合格率占比 / 病历列表导出,终末）
  homePageLevelXYExport: '/console/export/homePageLevelXYExport',//病案首页合格率占比报表导出 湘雅 全院
  homePageLevelXYExportByDept: '/print/export/homePageLevelXYExportByDept',//病案首页合格率占比报表导出 湘雅 科室
  getMedQualityCoList: '/qc/behospitalInfo/getMedQualityCoList',//病案指标列表
  medicalRecordIndicator: '/console/medicalRecordIndicator',//病案指标
  getListDoctor: '/bas/doctor/getList',//（科室医生列表）
  entryCountGroupXYByEntryPage: '/console/entryCountGroupXYByEntryPage',//湘雅医师合格率二级页面列表
  badLevelXYPage: '/console/badLevelXYPage',//湘雅医师合格率二级页面列表合格不合格
  entryCountGroupXYByEntryExport: '/console/export/entryCountGroupXYByEntryExport',//湘雅医师合格率二级页面导出缺陷
  badLevelPageXYExport: '/console/export/badLevelPageXYExport',//湘雅医师合格率二级页面导出合格
  qcResultShortXYPageExport: '/console/export/qcResultShortXYPageExport',//湘雅医师合格率三级页面导出
  qcResultShortXYPage: '/console/qcResultShortXYPage',//湘雅医师合格率三级页面列表
  entryCountGroupXYByEntryPageDept: '/consoleByDept/entryCountGroupXYByEntryPageDept',//湘雅医师合格率二级页面列表科室 缺陷
  entryCountGroupXYByExportDept: '/print/export/entryCountGroupXYByExportDept',//湘雅医师合格率二级页面导出 缺陷
  badLevelXYPageByDept: '/consoleByDept/badLevelXYPageByDept',//湘雅医师合格率二级页面列表科室 合格
  qcResultShortXYPageByDept: '/consoleByDept/qcResultShortXYPageByDept',//湘雅医师合格率三级页面列表 科室
  qcResultShortXYPageExportDept: '/print/export/qcResultShortXYPageExportDept',//湘雅医师合格率三级页面导出 科室
  badLevelPageXYExportByDept: '/print/export/badLevelPageXYExportByDept',//湘雅医师合格率二级页面导出 科室
  /*****湘雅三院-统计分析******/
  getEntryDefectImprove:'/qc/analysis/getEntryDefectImprove', //条目缺陷改善率统计
  getEntryDefectImproveByExport:'/qc/analysis/getEntryDefectImproveByExport',   //条目缺陷改善率统计-导出
  getEntryDefectImproveInner:'/qc/analysis/getEntryDefectImproveInner',//条目缺陷改善率统计内页列表
  getDefectImproveInnerByExport:'/qc/analysis/getDefectImproveInnerByExport', //条目缺陷改善率统计内页-导出
  getEntryDefectImproveDept:'/qc/analysisDept/getEntryDefectImproveDept', //条目缺陷改善率统计(科室)
  getEntryDefectImproveInnerDept:'/qc/analysisDept/getEntryDefectImproveInnerDept',//条目缺陷改善率统计(科室)内页列表
  getDefectImproveInnerByDeptExport:'/qc/analysisDept/getDefectImproveInnerByDeptExport',//条目缺陷改善率统计(科室)内页-导出
  getEntryDefectImproveByDeptExport:'/qc/analysisDept/getEntryDefectImproveByDeptExport',//条目缺陷改善率统计(科室)-导出
  getQcClick:'/qc/analysis/getQcClick', //临床质控使用统计
  getQcClickByExport:'/qc/analysis/getQcClickByExport',   //临床质控使用统计-导出
  getQcClickDeptList:'/qc/analysis/getQcClickDeptList',		//临床质控使用统计科室列表
  getQcClickDept:'/qc/analysis/getQcClickInnerPage',   //临床质控使用统计内页
  getQcClickInnerPageByExport:'/qc/analysis/getQcClickInnerPageByExport',//临床质控使用统计内页-导出
  /***********申诉核查************/
  getWorkById:'/qc/appealInfo/getWorkById',   //申诉发起列表
  addAppealInfo:'/qc/appealInfo/addAppealInfo', //发起申诉
  rejected:'/qc/appealExamineInfo/rejected',  //申诉驳回
  getReviewer:'/qc/appealInfo/getReviewer', //获取审核人
  getComplaintRecord:'/qc/appealExamineInfo/getComplaintRecord', //申诉记录列表
  getApprovedView:'/qc/appealExamineInfo/getApprovedView',    //获取申诉详情
  getAppealReview:'/qc/appealExamineInfo/getAppealReview', //申诉审核列表
  approved:'/qc/appealExamineInfo/approved', //审核通过
  getAppealInfo:'/qc/appealInfo/getAppealInfo', //申诉记录
  cancelAppealInfo:'/qc/appealInfo/cancelAppealInfo', //撤回申诉
  getAppealOperationType:'/qc/appealInfo/getAppealOperationType', //再次申诉操作类型
  getAuditNumber:'/qc/appealExamineInfo/getAuditNumber', //获取待审核数量
  getAppealReviewExport:'/qc/appealExamineInfo/getAppealReviewExport', //申诉审核导出
  getComplaintRecordExport:'/qc/appealExamineInfo/getComplaintRecordExport', //申诉记录导出
  getAppealReviewDictionary:'/qc/appealExamineInfo/getAppealReviewDictionary', //操作类型
  getAppealDept:'/qc/appealInfo/getAppealDept', //申诉科室
  getAppealMode:'/qc/appealInfo/getAppealMode', //申诉模块
  getComplaintDetailMsg:'/qc/appealExamineInfo/getComplaintDetailMsg', //获取缺陷详情
}
const ywCheckApi = {
  addMedCheckInfo: '/qc/medCheckInfo/addMedCheckInfo',   //核查
  getAllotCheckList: '/qc/medCheckInfo/getCheckList', //分配核查任务列表
  getCheckUserMap: '/qc/medCheckInfo/getCheckUserMap',  //核查人员列表
  addCheck: '/qc/medCheckWork/addCheckWork', //生成核查任务
  getTaskList: '/qc/medCheckWork/getUserList', //核查任务列表
  getTaskByUserId: '/qc/medCheckInfo/getCheckListByUserId',//质控员名下的任务列表
  allotTask: '/qc/medCheckInfo/updateDistributionCheck',//分配或取消任务
  getUserList: '/qc/recCheck/checkedRecordList', //获取患者病历列表
  recordCheck: '/qc/recCheck/recordCheck',//义乌病历核查
  getCheckType: '/qc/recCheck/getCheckType',//义乌病历核查
};
const editApi = {
  getDataEdit: '/qc/dataEdit/getDataEdit',
  saveDataEdit: '/qc/dataEdit/saveDataEdit'
}
module.exports = {
  api,
  ywCheckApi,
  editApi
};
