require('../mock')
const $ = require('jquery');
require("../../css/dept/improveStatisticsDept.less");

require('../modal.js');
const {api} = require('../api.js')
const {post,getCookie,emptyBox,setDatePicker,getPickerDate,downloadExportedData,expJson,listenScroll} = require('../utils.js')
require('../../resource/jquery-ui/jquery-ui.min.js');
require('../../resource/jquery-ui/jquery-ui.min.css');
const iconDown= require("../../images/arrow_down.png")
const iconUp = require("../../images/arrow_up.png")
const loadingImg = require("../../images/loading.gif")
const arrowLeft= require("../../images/arrow_left.png")

const arrowRight = require("../../images/arrow_right.png");
$(".selectDept").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
listenScroll()
let isPlacefile = getCookie('isPlacefile')||1

let deptName="",deptNameTemp="", behospitalCode="", behospitalCodeTemp="",deptId="",deptIdTemp="",caseName="",caseNameTemp="",caseId="",caseIdTemp="",entryName='',entryNameTemp='',
	data_desc="totalNum",data_asc="",doctorId="",doctorIdTemp="",doctorName="",doctorNameTemp="";
let startDateParam = "";
let endDateParam = "";
let _deptList=[];		//科室列表
$(function() {
  const  iconCalenBlue= require("../../images/icon_calen_blue.png")
  const  iconCalenGrey= require("../../images/icon_calen_grey.png")
  //获取科室列表
  getDeptList()
  getCaseList();
  //日期控件事件绑定
  $('.datapickerBox').append(`<img class="iconCalen" src=${iconCalenGrey} />`)
  $('.iconCalen').on("mouseenter", function(e){
	$(this).attr("src", iconCalenBlue)
  })
  $('.iconCalen').on("mouseleave", function(e){
	$(this).attr("src", iconCalenGrey)
  })
  $('.iconCalen').on("click", function(e){
	$(this).parent().find("input").focus()
  })
  $("#entryName").on("input", function(e){
	const val = $(this).val().trim();
	entryNameTemp = val
  })
  $("#doctorName").on("input", function(e){
	const val = $(this).val().trim()
	doctorNameTemp  = val
  })
  $("#doctorId").on("input", function(e){
	const val = $(this).val().trim();
	doctorIdTemp = val
  })
  //日期默认当年
  setDatePicker($("#datepicker"), $("#datepicker2"),2);
  startDateParam=getPickerDate($("#datepicker"),1)
  endDateParam=getPickerDate($("#datepicker2"),2)

  //导出事件绑定
  $('.export').click(function(){
	//const param = getFilterParam();
	const startDate = getPickerDate($("#datepicker"),1);
	const endDate = getPickerDate($("#datepicker2"),2);
	const param = {
	  //"isPlacefile":isPlacefile,
	  "deptId": deptNameTemp=="全部"?"":deptIdTemp||"", //科室id
	  "casesName": caseNameTemp,
	  "entryName":$("#entryName").val(),
	  "deptName": deptNameTemp=="全部"?"":deptNameTemp||"",
	  "asc":data_asc,     //升序
	  "desc":data_desc,       //降序
	  "startDate":startDate,
	  "endDate":endDate,
	  "doctorName":$("#doctorName").val(),
	  "doctorId":$("#doctorId").val(),
	  current:1,
	  size:500
	};
	if(startDate > endDate){
	  $.alerModal({"message":'开始时间不能大于结束时间~',type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
	  return
	}
	expJson(api.getEntryDefectImproveByDeptExport,param,{noPlacefile:true}).then(res =>{
	  downloadExportedData(res.data,"条目缺陷改善统计(科室)"+startDate.substr(0,10).replace(/\//g,'')+"-"+endDate.substr(0,10).replace(/\//g,'')+".xls");
	})
  })
  //给每一个标题绑定一个排序事件
  $("th[code]").on("click",function(e){
	const code=$(this).attr("code");
	if(data_asc==code){
	  data_desc=code;
	  data_asc="";
	  $("th[code]").removeClass("asc desc");
	  $(this).addClass("desc");
	}else{
	  data_desc="";
	  data_asc=code;
	  $("th[code]").removeClass("asc desc");
	  $(this).addClass("asc");
	}
	getTabData(1);
  });
  //重置
  $(".abnormalClear").click(function(){
	data_desc="totalNum"
	data_asc=""
	setDatePicker($("#datepicker"),$("#datepicker2"),2);
	startDateParam=getPickerDate($("#datepicker"),1)
	endDateParam=getPickerDate($("#datepicker2"),2)
	$("#entryName,#doctorId,#doctorName").val("");
	$("th[code]").removeClass("desc asc");
	$("th[code='totalNum']").addClass("desc");
	behospitalCode =behospitalCodeTemp= ""
	deptName = deptNameTemp = ""
	deptId = deptIdTemp = ""
	caseName=caseNameTemp="";
	entryName=entryNameTemp="";
	doctorId=doctorIdTemp=""
	doctorName=doctorNameTemp=""
	$(".selectDept").attr({'title':"全部",'data-id':''}).val("全部")
	$(".selectCase").attr({'title':"全部",'data-id':''}).val("全部")
	getDeptList()
  })

//查询
  $(".filter").on("click", function(e){
	startDateParam=getPickerDate($("#datepicker"),1)
	endDateParam=getPickerDate($("#datepicker2"),2)
	if(startDateParam > endDateParam){
	  $.alerModal({"message":'开始时间不能大于结束时间~',type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
	  return
	}
	deptId = deptIdTemp;
	deptName = deptNameTemp;
	caseName=caseNameTemp;
	entryName=entryNameTemp;
	doctorId=doctorIdTemp;
	doctorName=doctorNameTemp;
	if(caseName===""){
	  $(".selectCase").attr({'title':"全部",'data-id':''}).val("全部")
	}
	getTabData(1)
  })
});

function getFilterParam(current){
  const param = {
	"isPlacefile":isPlacefile,
	"deptId": deptName=="全部"?"":deptId||"", //科室id
	"casesName": caseName,
	"entryName":entryName,
	"deptName": deptName=="全部"?"":deptName||"",
	"asc":data_asc,     //升序
	"desc":data_desc,       //降序
	"startDate":startDateParam,
	"endDate":endDateParam,
	"doctorName":doctorName,
	"doctorId":doctorId,
	current,
	size:15
  }
  return param;
}
/*$(".partTitle a").click(function(){
    //初始菜单选中
    $(".menu .page",parent.document).removeClass("active").eq(0).addClass("active");
    $(".container",parent.document).addClass("console-cont");
})
//判断有无某一权限
  function hasData(data){
    let trdObj = JSON.parse(getLocal("trdObj"))
    let lis = trdObj['YH-ZKK-TMQXGSTJ']
    if(!lis){
      return false
    }
    if(lis.indexOf(data)>-1){//有权限
        return true
    }
    return false;
}*/
function getTabData(activePage){
  const param=getFilterParam(activePage);
  if(param.startDate > param.endDate){
	$.alerModal({"message":'开始时间不能大于结束时间~',type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
	return
  }
  $('.pagination').html("")
  $('.tbody').html(emptyBox('努力加载中...','',1))
  post(api.getEntryDefectImproveDept,param,{noPlacefile:true}).then(res =>{
	if(res.data.code == '0'){
	  const data = res.data.data;
	  const detail = data.records||[];
	  const totalPage = data.pages;
	  const totalNum = data.total;
	  renderTab(detail,detail.hospitalId,activePage);
	  if(totalNum>0){
		renderPagination(totalPage,Number(activePage),totalNum)
	  }
	}else{
	  $.alerModal({"message":res.data.msg,type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
	}
  }).catch((e) =>{

  })
}
//表格dom渲染
function renderTab(data,hisId,activePage){
  let str = ``
  for(let i = 0; i < data.length; i++){
	const item = data[i];

	str += `
            <tr data-index=${i} 
            	data-deptid="${item.deptId}" 
            	data-dept="${item.deptName}" 
            	data-casesid="${item.entryId}" 
            	data-casesname="${item.entryName}"
            	data-doctorName="${item.doctorName}"
            	data-doctorId="${item.doctorId}">
                <td  class="textCenter">${(activePage-1)*15 + i+1}</td>
                <td >${item.deptName || "-"}</td>
                <td >${item.casesName || "-"}</td>
                <td >${item.entryName || "-"}</td>
                <td >${item.doctorName || "-"}</td>
                <td >${item.doctorId || "-"}</td>
                <td><a class="goHomeDetail" data-type="0">${item.totalNum}</a></td>
                <td><a class="goHomeDetail" data-type="1">${item.handleNum}</a></td>
                <td><a class="goHomeDetail" data-type="2">${item.improveleNum}</a></td>
                <td >${item.handleStr|| "-"}</td>
            </tr>
        `
  }
  $('.tbody').html(str?str:emptyBox())
  $(".goHomeDetail").click(function(){
	let casesId =  $(this).parents("tr").attr("data-casesid");
	let casesName =  $(this).parents("tr").attr("data-casesname");
	let deptName = $(this).parents("tr").attr("data-dept");
	let deptId = $(this).parents("tr").attr("data-deptid");
	let doctorName = $(this).parents("tr").attr("data-doctorName");
	let doctorId = $(this).parents("tr").attr("data-doctorId");
	let typeMark = $(this).attr("data-type")
	$(parent.document).find("#contentIframe").attr("src", "statisticsDetailDept.html?deptName=" + deptName + "&deptId=" + deptId +"&doctorName="+doctorName+"&doctorId="+doctorId+ "&casesId=" + casesId+"&defectName="+casesName+"&typeMark="+typeMark+"&startDate="+startDateParam+"&endDate="+endDateParam)
  })
}
//模块下拉
function getCaseList(val){
  post(api.getQcCasesAll,{casesName:val=="全部"?"":val||""}).then(res =>{
	if(res.data.code == '0'){
	  const caseList = res.data.data||[]
	  renderCaseList(caseList)
	}else{
	  renderCaseList([])
	}
  }).catch((e) =>{

  })
}

//模块下拉框
function renderCaseList(caseList){
  if(caseList.length == 0){
	$('.caseList').html("")
	return
  }
  let str = `<li class="caseItem " data-id="" data-name="全部">全部</li>`
  for(let i = 0; i < caseList.length; i++){
	str += `<li class="caseItem ellipsis" title=${caseList[i].name} data-id=${caseList[i].id} data-name=${caseList[i].name}> ${caseList[i].name}</li>`
  }
  $('.caseList').html(str)
  bindCaseSelect()
}
//模块选择
function bindCaseSelect(){
  $('.caseItem').on("mousedown",function(){
	const caseItemName = $(this).attr("data-name")
	const caseItemId = $(this).attr("data-id")
	caseNameTemp=caseItemName=="全部"?"":caseItemName;
	caseIdTemp =caseItemId||''
	$('.selectCase').val(caseItemName)
	$('.selectCase ').attr('title',caseItemName)
	$(".caseList").css("display", "none")
  })
  $('.selectCase').on("click", function(e){
	e.stopPropagation()
  })
  //科室下拉显示、选中事件
  $('.selectCase').on("focus", function(e){
	e.stopPropagation()
	$(".caseList ").css("display","block")
  })
  $('.selectCase').on("blur", function(e){
	$(".caseList ").css("display", "none")
	$(".selectCase .arrow").attr("src",iconDown)
  })
  $('.selectCase').on("input", function(e){
	let val = $(this).val().trim()
	caseName = caseNameTemp = val
	getCaseList(caseName)
  })
}
//科室下拉
function getDeptList(){
  post(api.getDept,{}).then(res =>{
	if(res.data.code == '0'){
	  _deptList = res.data.data||[]
	  rendeDeptList(_deptList)
	}else{
	  rendeDeptList([])
	}
	getTabData(1)
  }).catch((e) =>{

  })
}
//科室下拉框
function rendeDeptList(deptList){
  if(deptList.length == 0){
	$('.deptList').html("")
	return
  }
  let str = ``
  for(let i = 0; i < deptList.length; i++){
	str += `<li class="deptItem ellipsis" title=${deptList[i].deptName} data-id=${deptList[i].deptId} data-name=${deptList[i].deptName}> ${deptList[i].deptName}</li>`
  }
  $('.deptList').html(str)
  $(".selectDept").text(deptList[0].deptName).append(`<img class="arrow" src=${iconDown} alt="下拉">`);
  deptName=deptNameTemp=deptList[0].deptName;
  deptId=deptIdTemp=deptList[0].deptId;
  bindDeptSelect()
}
//科室选择
function bindDeptSelect(){
  $('.deptItem').on("mousedown",function(){
	const deptItemName = $(this).attr("data-name")
	const deptItemId = $(this).attr("data-id")
	deptNameTemp=deptItemName;
	deptIdTemp =deptItemId||''
	$('.selectDept').text(deptItemName).append(`<img class="arrow" src=${iconDown} alt="下拉">`);
	$('.selectDept ').attr('title',deptItemName)
	$(".deptList").css("display", "none")
  })
  //科室下拉显示、选中事件
  $('.selectDept').on("click", function(e){
	e.stopPropagation()
	if($(".deptList:visible").length>0){
	  $(".deptList").css("display", "none")
	  $(".selectDept .arrow").attr("src",iconDown)
	}else{
	  $(".deptList").css("display","block")
	  $(".selectDept .arrow").attr("src",iconUp)
	}
  })
  /*$('.selectDept').on("blur", function(e){
	$(".deptList ").css("display", "none")
	$(".selectDept .arrow").attr("src",iconDown)
  })*/
}
/*function loading(){
    const str = `
    <div class="loadingBox">
            <div class="mask"></div>
            <img class="loadingImg" src=${loadingImg}  alt="loading" />
        </div>
    `
    $("#mainBox", parent.document).append(str)
}
function hideLoading(){
    $("#mainBox .loadingBox", parent.document).remove()
}*/

//分页渲染
function renderPagination(totalPage,activePage,totalNum){
  let str = `<span class="totalSum">共${totalPage}页/${totalNum}条数据</span><span class="prePage"><img class="arrowPage" src=${arrowLeft} /></span>`
  if(totalPage <= 6){
	for(let i = 1; i <= totalPage; i++){

	  str += `<span class="pageNum ${'page'+i}" data-page=${i}>${i}</span>`
	}
  }else{
	if(activePage <= 3){ //选中页数小于4
	  for(let i = 1; i <= 4; i++){
		str += `<span class="pageNum ${'page'+i}" data-page=${i}>${i}</span>`
	  }
	  str += `<span class="more" >...</span>`
	  str += `<span class="pageNum ${'page'+totalPage}" data-page=${totalPage}>${totalPage}</span>`

	} else if(activePage > totalPage -3){
	  str += `<span class="pageNum page1" data-page=1>1</span>`
	  str += `<span class="more" >...</span>`
	  str += `<span class="pageNum ${'page'+(totalPage-3)}" data-page=${totalPage -3}>${totalPage -3}</span>`
	  str += `<span class="pageNum ${'page'+(totalPage-2)}" data-page=${totalPage -2}>${totalPage -2}</span>`
	  str += `<span class="pageNum ${'page'+(totalPage-1)}" data-page=${totalPage -1}>${totalPage -1}</span>`
	  str += `<span class="pageNum ${'page'+totalPage}" data-page=${totalPage}>${totalPage}</span>`
	} else {
	  str += `<span class="pageNum page1" data-page=1>1</span>`
	  str += `<span class="more" >...</span>`
	  str += `<span class="pageNum ${'page'+(activePage -1)}" data-page=${activePage -1}>${activePage -1}</span>`
	  str += `<span class="pageNum ${'page'+activePage}" data-page=${activePage}>${activePage}</span>`
	  str += `<span class="pageNum ${'page'+(activePage +1)}" data-page=${activePage +1}>${activePage +1}</span>`
	  str += `<span class="more" >...</span>`
	  str += `<span class="pageNum ${'page'+totalPage}" data-page=${totalPage}>${totalPage}</span>`
	}

  }
  str += `<span class="nextPage"><img class="arrowPage" src=${arrowRight} /></span>`
  $('.pagination').html(str)
  $('.page' + activePage).addClass('activePage')
  $(".pageNum").on("click", function(e){
	const activePageNow = Number($(this).attr('data-page'))
	getTabData(activePageNow)
	// renderPagination(totalPage,activePageNow,totalNum)
  })
  $(".prePage").on("click", function(e){
	let activePageNow = Number($(".activePage").attr('data-page'))
	if(activePageNow > 1){
	  activePageNow--
	  getTabData(activePageNow)
	  // renderPagination(totalPage,activePageNow,totalNum)
	}
  })
  $(".nextPage").on("click", function(e){
	let activePageNow = Number($(".activePage").attr('data-page'))
	if(activePageNow < totalPage){
	  activePageNow++
	  getTabData(activePageNow)
	  // renderPagination(totalPage,activePageNow,totalNum)
	}
  })

}

